Subject: bug#52856: 29.0.50; Problematic handling of webkit xwidget bookmarks

From: Po Lu <[email-masked]>
Date: Wed, 29 Dec 2021 15:26:11 +0800

Stephen Berman <[email-masked]> writes:

> If you make a bookmark to a webkit xwidget (i.e. to a URL displayed by
> the xwidget) and then use `bookmark-jump-other-window' or
> `bookmark-jump-other-frame' to jump to the bookmarked URL, the xwidget
> is displayed in both the original window and the other window or other
> frame.

Does "original window" mean the window that was selected before you ran
`bookmark-jump-other-window' (or frame)?

If so, you should customize `xwidget-webkit-bookmark-jump-new-session'
to a non-nil value instead.